<template>
  <v-app id="inspire">
    <Drawer v-model="drawer" />
    <v-app-bar dark app color="rgb(33,59,148)">
      <v-app-bar-nav-icon @click="drawer = !drawer"></v-app-bar-nav-icon>

      <v-toolbar-title>Platinum Tanzania</v-toolbar-title>
    </v-app-bar>

    <v-main>
      <!--  -->
      <v-container fluid>
        <router-view></router-view>
        <Loader />
        <Modal />
      </v-container>
    </v-main>
  </v-app>
</template>

<script>
import Loader from "@/components/Loader.vue";
import Drawer from "@/components/Drawer.vue";
import Modal from "@/components/Modal.vue";

export default {
  components: {
    Drawer,
    Loader,
    Modal,
  },
  mounted() {},
  data: () => ({ drawer: false }),
};
</script>